gi-atk-2.0.18: Atk bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Atk.Objects.Util

Contents

- Exported types

Description

A set of ATK utility functions which are used to support event registration of various types, and obtaining the 'root' accessible of a process and information about the current ATK implementation and toolkit version.

Synopsis

- newtype Util = Util (ManagedPtr Util)
- class GObject o => IsUtil o
- toUtil :: (MonadIO m, IsUtil o) => o -> m Util
- noUtil :: Maybe Util

# Exported types

newtype Util Source #

Memory-managed wrapper type.

Constructors

Util (ManagedPtr Util) |

Instances

GObject Util Source # |
Instance details Defined in GI.Atk.Objects.Util Methods gobjectType :: Util -> IO GType Source #
IsObject Util Source # |
Instance details Defined in GI.Atk.Objects.Util
IsUtil Util Source # |
Instance details Defined in GI.Atk.Objects.Util

class GObject o => IsUtil o Source #

Type class for types which can be safely cast to `Util`, for instance with `toUtil`.

Instances

(GObject a, (UnknownAncestorError Util a :: Constraint)) => IsUtil a Source # |
Instance details Defined in GI.Atk.Objects.Util
IsUtil Util Source # |
Instance details Defined in GI.Atk.Objects.Util

toUtil :: (MonadIO m, IsUtil o) => o -> m Util Source #

Cast to `Util`, for types for which this is known to be safe. For general casts, use `castTo`.

noUtil :: Maybe Util Source #

A convenience alias for `Nothing` :: `Maybe` `Util`.